
#ifndef _SPLASHSCREEN_H_
#define _SPLASHSCREEN_H_

#include <tqsplashscreen.h>
#include <tqpainter.h>
#include <tqlabel.h>

class TQPixmap;

/**
Splash screen.
*/
class KDevSplashScreen : public TQSplashScreen
{
TQ_OBJECT
  

public:
	KDevSplashScreen(const TQPixmap& pixmap, WFlags f = 0);
	virtual ~KDevSplashScreen();

protected:
	void drawContents (TQPainter * painter);

public slots:
	void animate();
	void message( const TQString &str, int flags = AlignLeft,
		const TQColor &color = black );

private:
	int state;
	int progress_bar_size;
	TQString m_string;

};

#endif

